import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_minio_running_and_enabled(host):
    minio = host.service("minio")
    assert minio.is_running
    assert minio.is_enabled


def test_minio_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:61000").is_listening


def test_minio_conn_error(host):
    code = int(
        host.run(
            "curl -s -w '%{http_code}' http://localhost:61000/minio/health/live -o /dev/null"
        ).stdout)
    body = host.run(
        "curl -sX GET http://localhost:61000/minio/prometheus/metrics").stdout

    assert code == 200
    assert "minio_version_info" in body
